<form [formGroup]="form" (ngSubmit)="saveProduct($event)">
  <mat-card>
    <mat-card-header>
      <mat-card-title> Ingresa los datos del nuevo producto </mat-card-title>
    </mat-card-header>
    <mat-card-content>  
      <div class="row">
        <div class="col-xs">
          <mat-form-field>
            <input
              placeholder="Nombre del producto"
              formControlName="title"
              matInput
              type="text"
            />
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xs">
          <mat-form-field>
            <input
              placeholder="Precio"
              formControlName="price"
              matInput
              type="number"
            />
          </mat-form-field>
          <mat-error *ngIf="form.get('price').hasError('price_invalid')"
            >Precio inválido</mat-error
          >
          <mat-error *ngIf="form.get('price').hasError('required')"
            >Campo requerido</mat-error
          >
        </div>
      </div>
      <div class="row">
        <div class="col-xs">
          <mat-form-field>
            <textarea
              placeholder="Descripción"
              formControlName="description"
              matInput
            ></textarea>
          </mat-form-field>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button [disabled]="form.invalid" mat-raised-button type="submit">
        Guardar
      </button>
    </mat-card-actions>
  </mat-card>
</form>
